package cz.cvut.kbss.reporting.model;

/**
 * Severity of an occurrence.
 */
public enum Severity {

    ACCIDENT, SERIOUS_INCIDENT, SIGNIFICANT_INCIDENT, MAJOR_INCIDENT, INCIDENT, OCCURRENCE_WITHOUT_SAFETY_EFFECT,
    NOT_DETERMINED, OBSERVATION;

    public static String getOptionType() {
        return "severity";
    }

    /**
     * Returns a JSON array with all the enum values.
     *
     * @return Values of this enum as JSON array
     */
    public static String toJson() {
        final StringBuilder sb = new StringBuilder("[");
        for (Severity s : values()) {
            if (sb.length() > 1) {
                sb.append(',');
            }
            sb.append('\"').append(s.toString()).append('\"');
        }
        sb.append(']');
        return sb.toString();
    }
}
