'use strict';

import Constants from "../constants/Constants";

/**
 * Creates Report instances.
 */
export default class ReportFactory {
    static createReport() {
        return {
            occurrence: {
                javaClass: Constants.OCCURRENCE_JAVA_CLASS,
                name: '',
                // Round the time to whole seconds
                startTime: new Date((Date.now() / 1000) * 1000).toISOString(),
                endTime: new Date((Date.now() / 1000) * 1000).toISOString()
            },
            isNew: true
        };
    }

    static createEvent() {
        return {
            javaClass: Constants.EVENT_JAVA_CLASS,
            type: null,
            isNew: true
        };
    }
}
